Last modified: 2013-08-11 06:37:57 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 37219 - centralauth-account-exists-reset should give link to a wiki where the account exists
centralauth-account-exists-reset should give link to a wiki where the account...
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
CentralAuth (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2012-05-30 10:55 UTC by Antoine "hashar" Musso (WMF)
Modified: 2013-08-11 06:37 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Antoine "hashar" Musso (WMF) 2012-05-30 10:55:16 UTC
When resetting a password, you get the 'centralauth-account-exists-reset' message:

"The username Hashar is not registered on this wiki, but it does exist in the
unified login system."

This message is definitely missing a link to the user homewiki which is the only place where the password can get reset as I understand it.

I figured out my home wiki by having to browse Special:CentralAuth/Hashar then did the reset there.
Comment 1 Nemo 2013-08-10 21:06:48 UTC
(In reply to comment #0)
> This message is definitely missing a link to the user homewiki which is the
> only place where the password can get reset as I understand it.
> 

Nope, just tested: any wiki where the account exists works.
Comment 2 Gerrit Notification Bot 2013-08-10 21:32:35 UTC
Change 78617 had a related patch set uploaded by Nemo bis:
centralauth-account-exists-reset should give link to a wiki where the account exists

https://gerrit.wikimedia.org/r/78617
Comment 3 Gerrit Notification Bot 2013-08-11 06:37:33 UTC
Change 78617 merged by jenkins-bot:
centralauth-account-exists-reset should give link to a wiki where the account exists

https://gerrit.wikimedia.org/r/78617
Comment 4 Marius Hoch 2013-08-11 06:37:57 UTC
Merged the patch

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links